<?
class Hon6FetchURL extends Snoopy {
		public function __construct(){
				//parent::snoopy();
				global $wapset;
				$this->agent = "http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
				//$this->rawheaders["X_FORWARDED_FOR"] = getip();
		}
		public function get($fetchurl){
				$this->fetch($fetchurl);
				return $this->results;
		}
		public function post($fetchurl,$postdata = array()){
				global $wapset;
				$postdata["key"] = $wapset;
				$this->submit($fetchurl,$postdata);
				return $this->results;
		}
}
?>